import numpy as np
import matplotlib.pyplot as plt
f=open("serial4.txt")
ls=f.readlines()

t = []
n = []
x = []
y = []
i=0
for l in ls:
  n.append(i)
  i=i+1
  a=l.split(" ")
  t0=float(a[0][2:])
  t.append(t0)
  a0=float(a[1][2:])
  x.append(a0)
  b0=float(a[2][2:])
  y.append(b0)

an=np.ndarray((len(x),), buffer=np.array(x))
bn=np.ndarray((len(x),), buffer=np.array(y))
tn=np.ndarray((len(x),), buffer=np.array(t))

def f(x):
    return x**2*np.exp(-x**2)
    
#x = np.linspace ( start = 500.    # lower limit
#                , stop = 3000      # upper limit
#                , num = 51      # generate 51 points between 0 and 3
#                )
#y = f(x)    # This is already vectorized, that is, y will be a vector!

plt.plot(n,an, label="Soll-Pos.")
plt.plot(n,bn,   label="Ist-Pos.")
plt.xlim(1500,7500)
plt.ylim(250,2000)
plt.grid()
plt.legend(loc="upper left")
plt.title("PID-Regelung Schlittenposition")
plt.xlabel("t / ms")
plt.ylabel("Position")
plt.show()
# libraries
import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
 
